#! /usr/bin/rpm
%define  sovers         1
%define _unpackaged_files_terminate_build  0
 
# --------------------------------------------------------------------
Summary: 	ALTRO code compiler
Name: 		altrocc
Version: 	0.4
Release: 	2
License: 	GPL
Group: 		Development/Libraries
URL: 		http://cern.ch/cholm
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	bison
BuildRequires:	flex

%description
ALTRO code compiler

%files
%defattr(-,root,root)
%{_prefix}/bin/%{name}
%{_prefix}/lib/lib%{name}.so.*
%{_prefix}/share/man/man1/%{name}.1*
%doc %{_prefix}/share/doc/%{name}/html

# --------------------------------------------------------------------
%package devel
Summary:	ALTRO code compiler
Group:		Development/System
Requires:	%{name}
%description devel
ALTRO code compiler

%files devel
%defattr(-,root,root)
%{_prefix}/include/%{name}
%{_prefix}/lib/lib%{name}.la
%{_prefix}/lib/lib%{name}.a
%{_prefix}/lib/lib%{name}.so
%{_prefix}/share/aclocal/%{name}.m4

# --------------------------------------------------------------------
%prep
%setup -q

%build
%configure 
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install 
mkdir -p ${RPM_BUILD_ROOT}/%{_prefix}/share/doc/%{name}/
cp -a doc/html ${RPM_BUILD_ROOT}/%{_prefix}/share/doc/%{name}/

%clean
make clean
rm -rf $RPM_BUILD_ROOT

# --------------------------------------------------------------------
%changelog
* Tue May 23 2006 Forward Multiplicity Detector <fmd@dhcp61.dhcp.nbi.dk> 
- Initial build.


